POST api/myAMCAppointment/saveDateandTime

Request Information

URI Parameters

None.

Body Parameters

clsMyAmcAppointmentDAL
NameDescriptionTypeAdditional information
MyAmcAppointmentId

globally unique identifier

None.

AmcPurchasedId

globally unique identifier

None.

UserRegistrationId

globally unique identifier

None.

DeliveryPartnerId

globally unique identifier

None.

UserAddressId

globally unique identifier

None.

AppointmentFromTime

date

None.

AppointmentToTime

date

None.

AmcAppointmentDate

date

None.

EntryDate

date

None.

Status

string

None.

CustomerRemark

string

None.

DeliveryRemark

string

None.

Request Formats

application/json, text/json

Sample:
{
  "myAmcAppointmentId": "e35f4f5f-a6e4-44c1-82d9-b9c869f0fa5d",
  "amcPurchasedId": "0915fa2a-78df-4b50-9834-eff2bf32e07c",
  "userRegistrationId": "02337096-585d-4b21-be11-ae35184bdc08",
  "deliveryPartnerId": "114f75c5-a210-485e-80e5-b09f7b5c4781",
  "userAddressId": "80316159-34f5-40e6-a41f-753e177fdd89",
  "appointmentFromTime": "2026-04-11T18:15:52.9563532+05:30",
  "appointmentToTime": "2026-04-11T18:15:52.9563532+05:30",
  "amcAppointmentDate": "2026-04-11T18:15:52.9563532+05:30",
  "entryDate": "2026-04-11T18:15:52.9563532+05:30",
  "status": "sample string 10",
  "customerRemark": "sample string 11",
  "deliveryRemark": "sample string 12"
}

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'clsMyAmcAppointmentDAL'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.